summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorbob <bob.zh@huawei.com>2016-01-14 17:42:49 +0800
committerTim Rozet <trozet@redhat.com>2016-01-16 13:54:33 +0000
commit2a937932642f3e8288d338c6fa4a2b6a7a5defc2 (patch)
tree282315deee2f3c6e4281c95cdbf7375fa7b46873 /ci
parent8ef0ef042523f16c169dbd63a3a5f24d10f836f3 (diff)
add step to execute gw_mac_update.sh after apex deployed
Change-Id: I47c316e26ff8e597c781562645397335e8c5bd70 Signed-off-by: bob zhou <bob.zh@huawei.com> Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/deploy.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 232d8251..6ac6aff9 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -47,6 +47,7 @@ NET_MAP['storage_network']="brbm3"
##LIBRARIES
source $CONFIG/lib/common-functions.sh
+source $CONFIG/lib/installer/onos/onos_gw_mac_update.sh
##FUNCTIONS
##translates yaml into variables
@@ -873,6 +874,16 @@ EOI
fi
fi
done
+
+ # for virtual, we NAT public network through instack
+ if [ "$virtual" == "TRUE" ]; then
+ if ! configure_undercloud_nat ${public_network_cidr}; then
+ echo -e "${red}ERROR: Unable to NAT undercloud with external net: ${public_network_cidr}${reset}"
+ exit 1
+ else
+ echo -e "${blue}INFO: Undercloud (instack VM) has been setup to NAT Overcloud public network${reset}"
+ fi
+ fi
}
display_usage() {
@@ -1029,6 +1040,14 @@ main() {
echo -e "${blue}INFO: Post Install Configuration Complete${reset}"
fi
fi
+ if [[ ${deploy_options_array['sdn_controller']} == 'onos' ]]; then
+ if ! onos_update_gw_mac ${public_network_cidr} ${public_network_gateway}; then
+ echo -e "${red}ERROR:ONOS Post Install Configuration Failed, Exiting.${reset}"
+ exit 1
+ else
+ echo -e "${blue}INFO: ONOS Post Install Configuration Complete${reset}"
+ fi
+ fi
}
main "$@"